| ApossC SDK V01.15

Functions
SDK_Miscellaneous_Recording.mc File Reference

Functions with recording samples. More...

`#include <SysDef.mh>`
`#include "SDK_Miscellaneous_Recording.mh"`

Go to the source code of this file.

## Functions
long | sdkRecordGeneralAxisParam_1Ax (long axis)
| Starts a recording of general axis parameter of a single axis. More...
long | sdkRecordGeneralAxisParam_4Ax (long axis1, long axis2, long axis3, long axis4)
| Starts a recording of general axis parameter of four axes. More...

## Detailed Description

Functions with recording samples.

Revision
  139

Definition in file SDK_Miscellaneous_Recording.mc.

## Function Documentation

## ◆ sdkRecordGeneralAxisParam_1Ax()

long sdkRecordGeneralAxisParam_1Ax | ( | long | axis | ) |

Starts a recording of general axis parameter of a single axis.

This function records the nominal and actual position of the axis. Additionally the trackerror, speed and current output is recorded. The recording can be stopped during a desired time with the "RecordStop(0,0)" method.

Parameters

  axis | Axis module number

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 25 of file SDK_Miscellaneous_Recording.mc.

26 {
27 RecordTime(1); // Sampling period in milliseconds.
28 RecordIndex( AXE_PROCESS_INDEX(axis,REG_COMPOS),
29 AXE_PROCESS_INDEX(axis,REG_ACTPOS),
30 AXE_PROCESS_INDEX(axis,REG_TRACKERR),
31 AXE_PROCESS_INDEX(axis,REG_AVEL),
32 HWAMP_PROCESS_INDEX(axis, PO_HWAMP_CURRENT)
33 );
34
35 RecordDest (DYNMEM); // DYNMEM for recording data into free memory.
36 RecordType(1); // 1 = cyclic recording
37 RecordStart(0); // Start recording
38
39 return(1);
40 }

## ◆ sdkRecordGeneralAxisParam_4Ax()

long sdkRecordGeneralAxisParam_4Ax | ( | long | axis1,
|  | long | axis2,
|  | long | axis3,
|  | long | axis4
| ) |  |

Starts a recording of general axis parameter of four axes.

This function records the nominal and actual position of four axes Additionally the trackerror, speed and current output is recorded. The recording can be stopped during a desired time with the "RecordStop(0,0)" method.

Parameters

  axis1 | Axis module number 1
  axis2 | Axis module number 2
  axis3 | Axis module number 3
  axis4 | Axis module number 4

Returns
  value: Always 1 in this function
  value > 0 Process successful
  value = 0 Process is active
  value < 0 Error

Definition at line 57 of file SDK_Miscellaneous_Recording.mc.

58 {
59 RecordTime(1); // Sampling period in milliseconds.
60 RecordIndex( AXE_PROCESS_INDEX(axis1,REG_COMPOS),
61 AXE_PROCESS_INDEX(axis1,REG_ACTPOS),
62 AXE_PROCESS_INDEX(axis1,REG_TRACKERR),
63 AXE_PROCESS_INDEX(axis1,REG_AVEL),
64 HWAMP_PROCESS_INDEX(axis1, PO_HWAMP_CURRENT),
65 AXE_PROCESS_INDEX(axis2,REG_COMPOS),
66 AXE_PROCESS_INDEX(axis2,REG_ACTPOS),
67 AXE_PROCESS_INDEX(axis2,REG_TRACKERR),
68 AXE_PROCESS_INDEX(axis2,REG_AVEL),
69 HWAMP_PROCESS_INDEX(axis2, PO_HWAMP_CURRENT),
70 AXE_PROCESS_INDEX(axis3,REG_COMPOS),
71 AXE_PROCESS_INDEX(axis3,REG_ACTPOS),
72 AXE_PROCESS_INDEX(axis3,REG_TRACKERR),
73 AXE_PROCESS_INDEX(axis3,REG_AVEL),
74 HWAMP_PROCESS_INDEX(axis3, PO_HWAMP_CURRENT),
75 AXE_PROCESS_INDEX(axis4,REG_COMPOS),
76 AXE_PROCESS_INDEX(axis4,REG_ACTPOS),
77 AXE_PROCESS_INDEX(axis4,REG_TRACKERR),
78 AXE_PROCESS_INDEX(axis4,REG_AVEL),
79 HWAMP_PROCESS_INDEX(axis4, PO_HWAMP_CURRENT)
80 );
81
82 RecordDest (DYNMEM); // DYNMEM for recording data into free memory.
83 RecordType(1); // 1 = cyclic recording
84 RecordStart(1); // Start recording
85
86 return(1);
87 }
PO_HWAMP_CURRENT
#define PO_HWAMP_CURRENT
Actual current.
Definition: SdoDictionary.mh:11357
REG_ACTPOS
#define REG_ACTPOS
Actual position value.
Definition: SdoDictionary.mh:3199
REG_AVEL
#define REG_AVEL
Actual velocity.
Definition: SdoDictionary.mh:3223
AXE_PROCESS_INDEX
#define AXE_PROCESS_INDEX(modno, parno)
Axis Process Data: Getter.
Definition: SdoDictionary.mh:3175
REG_COMPOS
#define REG_COMPOS
Set-point position value.
Definition: SdoDictionary.mh:3207
HWAMP_PROCESS_INDEX
#define HWAMP_PROCESS_INDEX(modno, parno)
HW Amplifier Process Data: Getter.
Definition: SdoDictionary.mh:11329
REG_TRACKERR
#define REG_TRACKERR
Actual position tracking error.
Definition: SdoDictionary.mh:3239

Data Sheets | Released Software | Software Manuals | Hardware Manuals | Maxon Shop

Maxon Support Center